{ pkgs, config, ...}:

{  
  services.xserver.enable = true;
  services.xserver.displayManager.autoLogin = {
    enable = true;
    user = "regent";
  };

  services.xserver.displayManager.sessionCommands = ''
    ${pkgs.x11vnc}/bin/x11vnc -rfbauth $HOME/.vnc/passwd &
  '';

  services.xserver.desktopManager.xfce = {
    enable = true;
  }
};
